View Issue Details

IDProjectCategoryView StatusLast Update
0001468SymmetricDSBugpublic2014-02-02 20:53
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.10 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001468: Sync triggers on Oracle: Maximum open cursors exceeded
DescriptionWhen running the "sync triggers" process on a configuration using Oracle database, the following error occurs:

ORA-01000: maximum open cursors exceeded

A cursor is opened to query the metadata for each table, so when there are more tables than cursors, it fails. Run "show parameter open_cursors" to see the current setting. Change setting with "alter system set open_cursors = 1600 sid = '*' scope = both;"
Steps To Reproduce1. Configure synchronization on Oracle with N number of tables
2. Set open cursors parameter to less than N

alter system set open_cursors = 30 sid = '*' scope = both;

3. Run "sync triggers" process
TagsNo tags attached.

Activities

elong

2013-11-18 14:05

developer   ~0000394

Using wildcard feature for triggers makes the error happen very quickly and reliably. If you enter each table as its own trigger, you still get the error, but some of the triggers will sync properly.

elong

2013-11-25 16:24

developer   ~0000397

Appears to be a current problem in the Oracle JDBC driver (11.2.0.3.0), which manifests when the includeSynonyms connection property is enabled. Edit the SymmetricDS property file from the "engines" folder, find the line for the db.connection.properties and remove includeSynonyms.

db.connection.properties=oracle.net.CONNECT_TIMEOUT\=300000;oracle.net.READ_TIMEOUT\=300000;SetBigStringTryClob\=true

Related Changesets

SymmetricDS: master 5ce2e5c7

2013-11-19 17:49:44

chenson

Details Diff
0001468: Sync triggers on Oracle: Maximum open cursors exceeded
0001468
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/oracle/OracleDdlReader.java Diff File

SymmetricDS: master e7e8a9ee

2013-11-20 07:42:28

chenson

Details Diff
0001468: Sync triggers on Oracle: Maximum open cursors exceeded. closed on more result set. didn't seem to make a difference.
0001468
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: master 636191ca

2013-11-29 01:35:42

chenson

Details Diff
0001468: remove the includeSynonyms=true connection property
0001468
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2013-11-18 11:33 elong New Issue
2013-11-18 11:33 elong Status new => assigned
2013-11-18 11:33 elong Assigned To => elong
2013-11-18 14:05 elong Note Added: 0000394
2013-11-25 16:24 elong Note Added: 0000397
2013-11-26 16:04 elong Status assigned => resolved
2013-11-26 16:04 elong Resolution open => fixed
2013-11-26 16:04 elong Fixed in Version => 3.5.12
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7776
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7777
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7785
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 636191ca
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e7e8a9ee
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 5ce2e5c7